How to customize the day header in Angular DateTime Picker

14 Aug 20264 minutes to read

You can change the format of the day that to be displayed in header using dayHeaderFormat property. By default, the format is Short.

You can find the possible formats on below.

Name Description
Short Sets the short format of day name (like Su ) in day header.
Narrow Sets the single character of day name (like S ) in day header.
Abbreviated Sets the min format of day name (like Sun ) in day header.
Wide Sets the long format of day name (like Sunday ) in day header.
import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { DateTimePickerModule } from '@syncfusion/ej2-angular-calendars'
import { DropDownListModule } from '@syncfusion/ej2-angular-dropdowns'




import { Component, ViewChild } from '@angular/core';
import { DateTimePickerComponent, DayHeaderFormats } from '@syncfusion/ej2-angular-calendars';
import { DropDownListComponent,ChangeEventArgs } from '@syncfusion/ej2-angular-dropdowns';

@Component({
imports: [
        
        DropDownListModule,
        DateTimePickerModule
    ],


standalone: true,
    selector: 'app-root',
    styleUrls: ['./styles.css'],
    template: `
        <div id="container">
            <div id="datetimepicker">
                <ejs-datetimepicker #default dayHeaderFormat='Short'></ejs-datetimepicker>
            </div>
            <div id="format">
                <label class="custom-input-label">Header Format Types</label>
                <div id="wrap">
                    <ejs-dropdownlist id="dayformat" #select [dataSource]='formatData' [(value)]='value' [fields]='fields' [placeholder]='waterMark' (change)='formatHandler($event)'></ejs-dropdownlist>
                </div>
            </div>
        </div>
        `
})

export class AppComponent {
    @ViewChild('default')
    public datetimepickerObj?: DateTimePickerComponent;
    @ViewChild('select')
    public dayHeaderFormat?: DropDownListComponent;
     // define the JSON of data
    public formatData: Object[] = [
        { Id: 'Short', Label: 'Short' },
        { Id: 'Narrow', Label: 'Narrow' },
        { Id: 'Abbreviated', Label: 'Abbreviated' },
        { Id: 'Wide', Label: 'Wide' },
    ];
    public fields: Object = { text: 'Label',value: 'Id' };
    public waterMark: string = 'Select format type';
    public value: string ='Short';
    public formatHandler(args: ChangeEventArgs): void {
        (this.datetimepickerObj as DateTimePickerComponent ).dayHeaderFormat = args.value as DayHeaderFormats;
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

How to customize the day header in React DateTime Picker

10 Aug 20267 minutes to read

The day names displayed in the calendar header can be customized using the dayHeaderFormat property. By default, the format is Short. The following formats are available:

Name Description
Short Displays the short format of day names (e.g., Su) in the header.
Narrow Displays a single character representation of day names (e.g., S) in the header.
Abbreviated Displays the abbreviated format of day names (e.g., Sun) in the header.
Wide Displays the full format of day names (e.g., Sunday) in the header.
// import the DateTimePickerComponent
import { DateTimePickerComponent } from '@syncfusion/ej2-react-calendars';
import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import * as React from "react";
import * as ReactDOM from "react-dom";
export default class App extends React.Component {
    datetimepickerObj;
    floatLabelObj;
    floatData;
    fields;
    value = 'Short';
    constructor(props) {
        super(props);
        this.floatData = [
            { Id: 'Short', Label: 'Short' },
            { Id: 'Narrow', Label: 'Narrow' },
            { Id: 'Abbreviated', Label: 'Abbreviated' },
            { Id: 'Wide', Label: 'Wide' }
        ];
        this.fields = { text: 'Label', value: 'Id' };
    }
    formatHandler(args) {
        this.datetimepickerObj.dayHeaderFormat = args.value;
    }
    render() {
        return (<div id='container'>
            <div id='datetimepicker'>
                <DateTimePickerComponent ref={(datetimepicker) => this.datetimepickerObj = datetimepicker} dayHeaderFormat="Short"/>
            </div>
            <div id="format">
                <label className="custom-input-label">Header Format Types</label>
                <DropDownListComponent id="select" value={this.value} dataSource={this.floatData} ref={(dropdownlist) => { this.floatLabelObj = dropdownlist; }} fields={this.fields} change={this.formatHandler.bind(this)}/>
            </div>
          </div>);
    }
}
;
ReactDOM.render(<App />, document.getElementById('element'));
// import the DateTimePickerComponent
import { DateTimePickerComponent } from '@syncfusion/ej2-react-calendars';
import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import * as React from "react";
import * as ReactDOM from "react-dom";

export default class App extends React.Component<{}, {}> {
    public datetimepickerObj: DateTimePickerComponent;
    public floatLabelObj: DropDownListComponent;
    private floatData: { [key: string]: Object }[];
    private fields: object;
    private value: string = 'Short';
    constructor(props: {}) {
    super(props);
    this.floatData = [
      { Id: 'Short', Label: 'Short' },
      { Id: 'Narrow', Label: 'Narrow' },
      { Id: 'Abbreviated', Label: 'Abbreviated' },
      { Id: 'Wide', Label: 'Wide' }
    ];
    this.fields = { text: 'Label', value: 'Id' };
}
    private formatHandler(args: any): void {
        this.datetimepickerObj.dayHeaderFormat = args.value;
}
    public render(): JSX.Element {
        return (
        <div id='container'>
            <div id='datetimepicker'>
                <DateTimePickerComponent ref={(datetimepicker) => this.datetimepickerObj = datetimepicker} dayHeaderFormat="Short"/>
            </div>
            <div id="format">
                <label className="custom-input-label">Header Format Types</label>
                <DropDownListComponent id="select" value = {this.value}  dataSource={this.floatData} ref={(dropdownlist) => { this.floatLabelObj = dropdownlist }} fields={this.fields} change={this.formatHandler.bind(this)} />
            </div>
          </div>
        );
    }
};
ReactDOM.render(<App />, document.getElementById('element'));

How to customize the day header in Vue DateTimePicker

20 Aug 20267 minutes to read

You can change the format of the day that to be displayed in header using dayHeaderFormat property. By default, the format is Short.

You can find the possible formats on below.

Name Description
Short Sets the short format of day name (like Su ) in day header.
Narrow Sets the single character of day name (like S ) in day header.
Abbreviated Sets the min format of day name (like Sun ) in day header.
Wide Sets the long format of day name (like Sunday ) in day header.
<template>
    <div id="container">
        <div id='datetimepicker'>
            <ejs-datetimepicker dayHeaderFormat="Short" ref="datetimepickerObj"></ejs-datetimepicker>
        </div>
        <div id="format">
            <label id="custom-input-label">Header Format Types</label>
            <ejs-dropdownlist id="select" :fields="fields" :index="currentIndex" :dataSource="items"
                :popupHeight="popupHeight" :change="formatHandler">
            </ejs-dropdownlist>
        </div>
    </div>
</template>
<script setup>

import { DateTimePickerComponent as EjsDatetimepicker } from "@syncfusion/ej2-vue-calendars";
import { DropDownListComponent as EjsDropdownlist } from "@syncfusion/ej2-vue-dropdowns";
import { ref } from 'vue';

const datetimepickerObj = ref(null);
const items = [
    { sizeVal: 'Short', sizeTxt: 'Short' },
    { sizeVal: 'Narrow', sizeTxt: 'Narrow' },
    { sizeVal: 'Abbreviated', sizeTxt: 'Abbreviated' },
    { sizeVal: 'Wide', sizeTxt: 'Wide' },
];
const fields = { text: 'sizeTxt', value: 'sizeVal' };
const popupHeight = 200;
const currentIndex = 0;
const formatHandler = (args) => {
    datetimepickerObj.value.ej2Instances.dayHeaderFormat = args.value;
};

</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-calendars/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-dropdowns/styles/material.css";

#container {
    width: 100%;
}

#datetimepicker {
    width: 25%;
    margin-left: 30px;
    margin-top: 30px;
    display: inline-flex;
}

#format {
    width: 180px;
    margin-left: 400px;
    display: inline-block;
}

#select {
    height: 30px;
    width: 150px;
    margin-top: 10px;
}

#custom-input-label {
    font-size: 15px;
    font-weight: bold
}
</style>
<template>
    <div id="container">
      <div id='datetimepicker'>
        <ejs-datetimepicker dayHeaderFormat="Short" ref="datetimepickerObj"></ejs-datetimepicker>
      </div>
      <div id="format">
        <label id="custom-input-label">Header Format Types</label>
        <ejs-dropdownlist id="select" :fields="fields" :index="currentIndex" :dataSource="items"
          :popupHeight="popupHeight" :change="formatHandler">
        </ejs-dropdownlist>
      </div>
    </div>
  </template>
  <script>
  
  import { DateTimePickerComponent } from "@syncfusion/ej2-vue-calendars";
  import { DropDownListComponent } from "@syncfusion/ej2-vue-dropdowns";
  
  export default {
    name: "App",
    components: {
      "ejs-datetimepicker": DateTimePickerComponent,
      "ejs-dropdownlist": DropDownListComponent
    },
    data() {
      return {
        items: [
          { sizeVal: 'Short', sizeTxt: 'Short' },
          { sizeVal: 'Narrow', sizeTxt: 'Narrow' },
          { sizeVal: 'Abbreviated', sizeTxt: 'Abbreviated' },
          { sizeVal: 'Wide', sizeTxt: 'Wide' },
        ],
        fields: { text: 'sizeTxt', value: 'sizeVal' },
        popupHeight: 200,
        currentIndex: 0,
        formatHandler: (args) => {
          this.$refs.datetimepickerObj.ej2Instances.dayHeaderFormat = args.value;
        }
      }
    }
  }
  </script>
  <style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
  @import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
  @import "../node_modules/@syncfusion/ej2-vue-calendars/styles/material.css";
  @import "../node_modules/@syncfusion/ej2-vue-dropdowns/styles/material.css";
  
  #container {
    width: 100%;
  }
  
  #datetimepicker {
    width: 25%;
    margin-left: 30px;
    margin-top: 30px;
    display: inline-flex;
  }
  
  #format {
    width: 180px;
    margin-left: 400px;
    display: inline-block;
  }
  
  #select {
    height: 30px;
    width: 150px;
    margin-top: 10px;
  }
  
  #custom-input-label {
    font-size: 15px;
    font-weight: bold
  }
  </style>